package com.octacoregames.flappyunicorn;

public class Touch {
	public static final int RELEASED = 0;
	public static final int PRESSED = 1;
	public static final int DRAGGED = 2;
	private int id;
	private int x;
	private int y;
	private int state;

	public Touch(int id, int x, int y, int state) {
		this.id = id;
		this.x = x;
		this.y = y;
		this.state = state;
	}
	
	public void setX(int x) {
		this.x = x;
	}
	
	public void setY(int y) {
		this.y = y;
	}
	
	public void setState(int state) {
		this.state = state;
	}
	
	public int getX() {
		return x;
	}
	
	public int getY() {
		return y;
	}
	
	public int getState() {
		return state;
	}
	
	public int getId() {
		return id;
	}
}
